flex.messaging.endpoints.amf
Class SuspendableLegacyFilter

java.lang.Object
  extended by flex.messaging.endpoints.amf.SuspendableAMFFilter
      extended by flex.messaging.endpoints.amf.SuspendableLegacyFilter

public class SuspendableLegacyFilter
extends SuspendableAMFFilter

This filter adds support for legacy FlashRemoting invocations.

AMF Headers are of limited use because the apply to the entire AMF packet, which may contain a batch of several requests.

Rather than relying on the Flash Player team to change the AMF specification, Flex 1.5 introduced the concept of a Message Envelope that allowed them to provide message level headers that apply to a single request body.

Essentially they introduced one more layer of indirection with an ASObject of type "Envelope" that had two properties:
- headers, which was an array of Header structures
- body, which was the actual data of the request (typically an array of arguments)

To save space on the wire, a Header structure was simply an array. The first element was the header name as a String, and was the only required field. The second element, a boolean, indicated whether the header must be understood. The third element, any Object, represented the header value, if required.

This implementation will never suspend the chain and performs no internal synchronization.


Field Summary
 
Fields inherited from class flex.messaging.endpoints.amf.SuspendableAMFFilter
DIRECTION_INBOUND, DIRECTION_OUTBOUND
 
Constructor Summary
SuspendableLegacyFilter(LoginManager loginManager)
          Constructs a SuspendableLegacyFilter.
 
Method Summary
 
Methods inherited from class flex.messaging.endpoints.amf.SuspendableAMFFilter
buildChain, getContext, getDirection, getNext, getPrevious, getSuspendedFilter, invoke, isInboundAborted, isSuspended, resume, setContext, setDirection, setInboundAborted, setNext, setPrevious, setSuspendedFilter
 
Methods inherited from class java.lang.Object
equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

SuspendableLegacyFilter

public SuspendableLegacyFilter(LoginManager loginManager)
Constructs a SuspendableLegacyFilter. Legacy AMF requests require custom authentication handling that requires access to a LoginManager (authentication is performed on every request unlike the connection-level authentication in Flex 2+).

Parameters:
loginManager - The LoginManager to use to authenticate legacy requests.


Copyright © 2008 Adobe Systems Inc. All Rights Reserved.

 

Send me an e-mail when comments are added to this page | Comment Report

Current page: http://livedocs.adobe.com/blazeds/1/javadoc/flex/messaging/endpoints/amf/SuspendableLegacyFilter.html